VARKON Version 1.16 1998-04-01

> ## infname - Function

> Filename selection dialogue
> Description
> Displays the filename selection dialogue box and waits for input from the mouse or the keyboard.
> Syntax
> infname(prompt, default, path, pattern)

> STRING | prompt;
> STRING | default:
> STRING | path;
> STRING | pattern;

> Principal parameters

> None.

> Optional parameters

> prompt | - A string to display in the window header. Default = no prompt.
> default | - A default value to display in the input field. Default = no value.
> path | - The name of the directory to search. Default = current directory.
> pattern | - Wildcardstring to restrict selection. Default = all files.

> Return value
> A STRING of characters. If input is finished by clicking the Okey button infname() will return the contents of the input field. Clicking the Reject button returns a null string "".
> Example
> name:=infname("Select datafile !", "file1", act_jobdir(), "*.DAT");

> Displays a list of ".DAT"-files in the currently active job directory. A default value of "file1" is displayed in the editfield.
> Comments
> infname() does not check that the file returned exists or is accessible. Use test_file() to check for existence or accessability.

> If the number of files found is larger than what is possible to display in a single window the file list is truncated and a file named "?????" is added to the end of the list. 100 files or more is usually no problem.

VARKON Homepage | Index